コンテンツにスキップ
AchaduDevelopers
Developers/API/coupon_create
クーポン

クーポンの作成

特典で使えるクーポンを登録します。

POST/couponscoupons:write

リクエスト

marketplacestring · bodyマーケットプレイス。必須
codestring · bodyクーポンコード。必須
descriptionstring · body説明。オプション
valuestring · body提示された価値。オプション
minimumnumber · body最低注文数。オプション
valid_untilstring · bodyISO の有効性。オプション
typestring · bodyクーポンタイプ。オプション
discountnumber · bodyパーセンテージまたは割引額。オプション
capnumber · body割引上限。オプション
categoriesarray · body対象となるカテゴリー。オプション
verifiedboolean · bodyクーポンを確認済みとしてマークします。オプション
activeboolean · bodyクーポンを有効化またはアーカイブします。オプション

curl
curl -X POST 'https://achadu.com/api/v1/coupons' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "marketplace": "string",
  "code": "string",
  "description": "string",
  "value": "string",
  "minimum": 10
}'

答え

201リソースが作成されました
4xxコード、メッセージ、request_id のエラー